##This takes a large csv and converts it into a spatial file
##Written by Emma Tait for FEMC NY Rec Data project
##Last Updated: 30 September 2019

import arcpy
##input files: they all need to be in the 'path' folder
csv = '0000225-190918142434337.csv'
outfile = 'iNaturalist_tabltopt.shp'
outlayer = 'templayer'
#path to folder that holds input file and where output file will be written
path = r'I:\WorkingProjects\NY_RecData\InvasivePlantData\iNaturalist\GBIF'
arcpy.env.workspace = path
##convert to spatial layer
feature = arcpy.MakeXYEventLayer_management(csv, 'decimalLongitude','decimalLatitude',outlayer)
##save file
arcpy.CopyFeatures_management(feature,outfile)
